<?php

class Cloudsme_Prototype_Public {

	private $plugin_name;

	private $version;

	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		wp_register_style('bs_mod', plugin_dir_url( __FILE__ ) . 'css/tw-bs.3.1.1.css', false, '1.0.0');
		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/cloudsme-prototype-public.css', array(), $this->version, 'all' );

		wp_enqueue_style( 'bs_mod');
	}

	/**
	 * Register the JavaScript for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		wp_register_script('file_style', 'https://cdnjs.cloudflare.com/ajax/libs/bootstrap-filestyle/1.2.1/bootstrap-filestyle.min.js', false, '1.0.0');

        wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/cloudsme-prototype-public.js', array( 'jquery' ), $this->version, false );
        wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/bootstrap.min.js', false, $this->version, false );
		wp_enqueue_script( 'file_style' );
	}

}
